Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ncsa.hdf.hdflib
Class HDFChunkInfo

    java.lang.Object
      ncsa.hdf.hdflib.HDFChunkInfo

Direct Known Subclasses:
  HDFNBITChunkInfo

    public class HDFChunkInfo

extends java.lang.Object

This is a generic class to represent the HDF chunk_info union, which contains parameters for the different chunking schemes.

The variant parameters are expressed as sub-classes of this class.

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

Field Summary
`int[]` | `chunk_lengths`
`HDFCompInfo` | `cinfo`
`int` | `comp_type`
`int` | `ctype`

Constructor Summary
`HDFChunkInfo()`
`HDFChunkInfo(int[] cl)`
`HDFChunkInfo(int[] cl, int ct, HDFCompInfo ci)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctype

    public int ctype

### chunk_lengths

    public int[] chunk_lengths

### comp_type

    public int comp_type

### cinfo

    public HDFCompInfo cinfo

Constructor Detail

### HDFChunkInfo

    public HDFChunkInfo()

### HDFChunkInfo

    public HDFChunkInfo(int[] cl,
                        int ct,
                        HDFCompInfo ci)

### HDFChunkInfo

    public HDFChunkInfo(int[] cl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD